import requests
from api_auth import APICredentials, APIParams
 
class LiveSlicersStaticEncryptionKey:
    def __init__(self):
        self.host = "https://services.uplynk.com"
 
    def run(self):
        """
        Retrieves the set of Live Slicers whose content will be encrypted using a static encryption key.
        """
        self._get_live_slicers_by_status_encryption_key_status()
 
    def _get_live_slicers_by_status_encryption_key_status(self):
        url = "{}{}".format(self.host, "/api/v3/drm/static-key-slicer-ids")
 
        response = requests.get(
            url, params=APIParams(APICredentials()).get_params({})
        )
 
        print(response.json())
 
LiveSlicersStaticEncryptionKey().run()